lzma_filter_info_s Struct Reference

`#include <common.h>`

## Data Fields

lzma_vli | id
lzma_init_function | init
void * | options
| Pointer to filter's options structure. More...

## Detailed Description

Raw coder validates and converts an array of lzma_filter structures to an array of lzma_filter_info structures. This array is used with lzma_next_filter_init to initialize the filter chain.

## Field Documentation

## id

lzma_vli lzma_filter_info_s::id

Filter ID. This is used only by the encoder with lzma_filters_update().

## init

lzma_init_function lzma_filter_info_s::init

Pointer to function used to initialize the filter. This is NULL to indicate end of array.

## options

void* lzma_filter_info_s::options

Pointer to filter's options structure.

The documentation for this struct was generated from the following file:

- liblzma/common/common.h